{% load static %}

<!DOCTYPE html>
<head>
    <meta charset="UTF-8">
    <title>Search</title>

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
    
    <!-- Bootstrap js -->
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>


    <!-- jQuery  -->
    <script src="{% static '/js/jquery-3.4.1.min.js' %}"></script>

	<!--  jQuery plugin autocomplete -->
    <script src="{% static '/js/jquery-ui.min.js' %}"></script>
    <script src="{% static '/js/jquery.js' %}"></script>
    <!--  jQuery plugin autocomplete css related-->
    <style type="text/css">
		.error{
			color:red
			}


		.ui-autocomplete{
			background: gray;
            border:3px black solid;
            color:whitesmoke;
			width: 30%;


		}


		</style>

</head>

<!-- fill all the body into grey color (#f0f0f0)  -->
<body style="background-color:#f0f0f0 ">
{% block content %}

<!-- Create a bootstrap header  -->
 <nav class="navbar navbar-default navbar-fixed-top">
  <div class="container">
    <div class="navbar-header">
        <a class="navbar-brand" href="/home"> <font color="#8b0000">HOME</font> </a>
        <a class="navbar-brand" href="/explore/"> <font color="#8b0000">Explore page</font> </a>
    </div>
    <div class="collapse navbar-collapse" id="myNavbar">
      <ul class="nav navbar-nav navbar-right">
          {% if user.is_authenticated %}
          <!-- User is loged  -->
              <div class="navbar-brand" >Welcome  {{ user.get_username }}.</div>
              <li class="list-group-item"><a href="/home/logout/">LOGOUT </a></li>
           {% else %}
           <!-- Visitor, user is not loged  -->
              <div class="navbar-brand" > Welcome   new user.</div>
              <li class="list-group-item"><a href="/login/">LOGIN </a></li>
              <li class="list-group-item" ><a href="/register/">REGISTER</a></li>
          {% endif %}
      </ul>
    </div>
  </div>
</nav>

<!-- Use a bootstrap class to center the text, fill the background and use a specific police-->
<div class="jumbotron text-center">

    <h1>Search Form</h1>
    <br><br>

    <!-- Autocomplete jQuery part -->
    Facultatif :check if what you are looking for is available :
    <br><h6>(copy/paste the result on the search field if you'd like)</h6>
        Microscopy :  <input id='auto_completemode' type='text'  pattern='[a-Z]'/>

    <br><br><br>

    <!-- Form search part -->
    <p>Tape the Microscopy mode to search </p>
    <form method="POST" class="post-form">{% csrf_token %}
        {{ form.as_p }}
        <button type="submit" class="save btn btn-default">Submit</button>
    </form>   
</div>
{% endblock %}

</body>
</html>


 
